<template>
  <div id="app" style="text-align: center">
    
    <h3 class="logo">Welcome from Comp-Service!</h3>
    <b-card style="max-width: 25rem; margin:auto; text-align: left">
      <h6 slot="header" class="mb-0" style="font-weight: bold;">Create Account</h6>
      
      <b-form-input placeholder="Email" 
                    type="text" 
                    v-model="username"/>
        
      <b-form-input placeholder="Password"
                    type="password" 
                    v-model="password"
                    style="margin-top: 0.5em;"/>

    <b-form-input placeholder="Confirm Password"
                    type="password" 
                    v-model="confirmedPassword"
                    style="margin-top: 0.5em;"/>

      <div style="width: 100%; margin-top: 0.5em; text-align:center">
        <b-button variant="primary"
                  @click="createAccount"
                  style="width: 50%; margin: 0 auto;">
                  Create Account
        </b-button>

      </div>
    </b-card>

  </div>
</template>
<script>
import backend from '@/backend-manager'

export default {
    name: 'app',
    data () {
        return {
            username: '',
            password: '',
            confirmedPassword: ''
        }
    },
    methods: {
        createAccount: async function () {
            if (this.username == "" || this.password == "") {
                alert('Please enter an email and password')
                return
            }
            if (this.password != this.confirmedPassword) {
                alert('Password and confirmation must match!')
                return
            }
            var success = await backend.getInstance().createAccount(this.username, this.password)

            if (!success) {
                alert('Failed to create account; something went wrong')
            }
        }
    }
}
</script>
<style>
.logo {
    font-weight: bold; 
    margin-top: 50px;
    margin-bottom: 50px;
    font-family: 'Liberation Sans', sans-serif;
}
</style>